using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[Redis("TREE_PIC_FILTER_ID")]
	[Description("图片条件子表")]
	[APT.Infrastructure.Api.RootOrg]
	public class T_PF_PIC_FILTER_DETAIL : MesEntityBase
	{
		[DataFieldForeignKey("Nav_PicFilter", "Nav_PicFilterDetail")]
		[Description("主表ID")]
		public Guid PIC_FILTER_ID { get; set; }

		[Description("字段类型")]
		[EnumName("PFFieldTypeEnum")]
		[FormFieldEdit]
		[FormFieldTable]
		public int FIELD_TYPE { get; set; }

		[Description("字段名称")]
		[DataFieldLength(50)]
		[FormFieldEdit]
		[FormFieldTable]
		public string NAME { get; set; }

		[Description("操作符")]
		[EnumName("FilterOperate")]
		[FormFieldEdit]
		[FormFieldTable]
		public int OPERATE { get; set; }


		[Description("值")]
		[DataFieldLength(50)]
		[FormFieldEdit]
		[FormFieldTable]
		public string VALUE { get; set; }

		[Description("导航：图片表")]
		public virtual T_PF_PIC_FILTER Nav_PicFilter { get; set; }
		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
